/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	<fcntl.h>
#include	<stdlib.h>
#include	"init.h"
#include	"long_char.h"
#include	"memory_routine.h"
#include	"xl.h"
#include	"utils.h"


int start_time;

int
_main(int argc,char ** argv)
{
XLISP_ENV * env;
XL_INTERPRETER * xli;
int id;
extern int cmd_log;
/*
cmd_log = 1;
*/
start_time = get_xltime(); 


	init_xl(INI_DONTWAITCHI);


	init_fetch();
	init_mp_work();

	init_gbs();
	init_vector();

	gc_push(0,0,"main(1)");
	xli = new_xl_interpreter();
	xli->a_type = XLA_SELF;
	setup_i(xli);
	gc_pop(0,0);

	init_function(gblisp_top_env0,gblisp_top_env1,argc,argv);
	init_std_function(gblisp_top_env0,gblisp_top_env1);

	init_resource();

	xl_setup_file(argc,argv);

	return 0;
}
